'use strict';

module.exports = function (req) {
    var headers = req.headers;

    switch (headers['content-type']) {
        case 'application/json':
        case 'text/json':
            break;
        default:
            return req;
    }

    var json = '';

    return new Promise(function (resolve, reject) {
        req.on('error', reject);

        req.on('data', function (data) {
            json += data.toString();
        });

        req.on('end', function () {
            req.body = JSON.parse(json);
            resolve(req);
        });
    });
};
